/*
 * Project Name MFC DRIVER IN WINCE
 * Copyright  2009 Samsung Electronics Co, Ltd. All Rights Reserved.
 *
 * This file implements MFC driver.
 *
 * @name MFC DRIVER Module (MfcPower.h)
 * @author Jiyoung Shin (idon.shin@samsung.com)
 * @date 2009/06/05
 */

#ifndef __SAMSUNG_SYSLSI_APDEV_MFC_PWR_MGMT_H__
#define __SAMSUNG_SYSLSI_APDEV_MFC_PWR_MGMT_H__
#include <pmplatform.h>

#define POWER_ON        1
#define POWER_OFF       0
#define CLK_ON          1
#define CLK_OFF         0

#ifdef __cplusplus
extern "C" {
#endif

BOOL MFCPowerInit();
BOOL MFCPowerOnOff(int on_off);
BOOL MFCClockOnOff(int on_off);
#ifdef POWER_CNTRL_APM
void MFCPowerSetToAPM(CEDEVICE_POWER_STATE APM_POWER_STATUS);
void MFCPowerInitToAPM();
#endif

#ifdef BSP_USEDVFS
BOOL MFCDvfsSetLevelFix();
BOOL MFCDvfsClearLevelFix();
#endif

#ifdef __cplusplus
}
#endif
#endif /* __SAMSUNG_SYSLSI_APDEV_MFC_PWR_MGMT_H__ */
